MWAWStringStreamPrivate Class Reference

internal data of a MWAWStringStream More...

## Public Member Functions

| MWAWStringStreamPrivate (const unsigned char *data, unsigned dataSize)
| constructor
| ~MWAWStringStreamPrivate ()
| destructor
void | append (const unsigned char *data, unsigned dataSize)
| append some data at the end of the actual stream
void | resize (unsigned long newSize)
| resize the stream to some size

## Public Attributes

std::vector< unsigned char > | m_buffer
| the stream buffer
long | m_offset
| the stream offset

## Private Member Functions

| MWAWStringStreamPrivate (const MWAWStringStreamPrivate &)=delete
MWAWStringStreamPrivate & | operator= (const MWAWStringStreamPrivate &)=delete

## Detailed Description

internal data of a MWAWStringStream

## Constructor & Destructor Documentation

## MWAWStringStreamPrivate() [1/2]

MWAWStringStreamPrivate::MWAWStringStreamPrivate | ( | const unsigned char * | data,
|  | unsigned | dataSize )

constructor

Referenced by MWAWStringStreamPrivate(), and operator=().

## ~MWAWStringStreamPrivate()

MWAWStringStreamPrivate::~MWAWStringStreamPrivate | ( |  | ) |

destructor

## MWAWStringStreamPrivate() [2/2]

MWAWStringStreamPrivate::MWAWStringStreamPrivate | ( | const MWAWStringStreamPrivate & |  | ) |

private delete

## Member Function Documentation

## append()

void MWAWStringStreamPrivate::append | ( | const unsigned char * | data,
|  | unsigned | dataSize )

append some data at the end of the actual stream

## operator=()

MWAWStringStreamPrivate & MWAWStringStreamPrivate::operator= | ( | const MWAWStringStreamPrivate & |  | ) |

private delete

## resize()

void MWAWStringStreamPrivate::resize | ( | unsigned long | newSize | ) |

resize the stream to some size

## Member Data Documentation

## m_buffer

std::vector<unsigned char> MWAWStringStreamPrivate::m_buffer

the stream buffer

Referenced by append(), MWAWStringStreamPrivate(), and resize().

## m_offset

long MWAWStringStreamPrivate::m_offset

the stream offset

Referenced by MWAWStringStreamPrivate().

The documentation for this class was generated from the following file:

- MWAWStringStream.cxx